2019-12-13 14:06 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001518FSSCPgameplaypublic2007-11-09 01:58
ReporterARSPR 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDELL Dimension 9200OSWindows VistaOS VersionUltimate 32-bit
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001518: Ingame F3 hotkey assignment window is empty if there are too many ships.
Description+ Pick the attached mission (AllTerranShips.fs2). It just has all the FS2 Terran ships in it.
+ Start the mission.
+ Go to F3 hotkey assignment window.
+ Voila, it's empty.


I think this issue has been present since retail.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008624

taylor (administrator)

Hmm, it appears to be a memory overwrite from somewhere that is screwing up the hotkey line types. I'll take a look and see if I can't figure out where the problem is coming from.

~0008625

taylor (administrator)

Yep, an array for the UI code will start to overwrite the hotkey line array after a certain number of elements. It looks like [V] chose that number based on a guess of how many elements would be visible on the screen at a single time. The number of elements for the UI array is 42, but at a resolution of 1024x768 or above, you can get up to 45 elements in use.

So, another bug we can blame on Volition. ;)

I'll bump the limit up to 50, which is more than enough, since needing any more than that would actually require someone to rewrite that interface code. I'll also add in a couple of Assert()'s to catch this in the future, just in case someone does change the code to require more lines.

~0008626

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-11-08 16:10 ARSPR New Issue
2007-11-08 16:10 ARSPR File Added: AllTerranShips.fs2
2007-11-08 21:27 taylor Note Added: 0008624
2007-11-08 21:27 taylor Status new => assigned
2007-11-08 21:27 taylor Assigned To => taylor
2007-11-09 01:43 taylor Note Added: 0008625
2007-11-09 01:58 taylor Status assigned => resolved
2007-11-09 01:58 taylor Fixed in Version => 3.6.10
2007-11-09 01:58 taylor Resolution open => fixed
2007-11-09 01:58 taylor Note Added: 0008626
+Issue History